// Idra - base di lavoro
// Questo file utilizza o estende Idra: le parti di programmazione HTML 
// e JavaScript qui contenute sono soggette alla medesima licenza GNU GPL
// di Idra stesso, vedi i file idra.js e Licenza.html per i dettagli.

// ===== Informazioni =======================================================

// Mostra informazioni sul gioco

function Informazioni() {
	apriPagina('bgcolor="#ccccff"');
	testo("<p>");
	testo("<h1 style=\"text-align:center\">" + gioco.titolo + "</h1>");
	testo("<center>");
	testo("Racconto di Federico Razzoli, basato su<br>");
	testo("<strong><a href=\"http://blogofthedead.blogs.it/\" target=\"_blank\" title=\"Leggi la serie Life Of The Dead\" target=\"_parent\">Life Of The Dead</a></strong>");
	testoNl("", "");
	rinvio("Continua", "ridisegna()");
	testo("</center>");
	chiudiPagina();
}

// ===== Funzioni chiamate dall'interprete ==================================

// Imposta alcune informazioni sul gioco

function GiocoInfo(pag) {
	gioco.titolo = "La tomba di Kannibal";
	gioco.versione = "0.1";
	gioco.copyright = "Federico Razzoli 2011";
	gioco.contatti = "santec@riseup.net";
	gioco.licenza = "AGPL 3";
	gioco.note = "";
	gioco.suoniDir = "suoni";	// cartella dei suoni, partendo da dati	
	gioco.colonnaSonora = '';  // file colonna sonora, in suoniDir
}

// Inizia una nuova lettura: azzera le variabili di gioco e va alla prima pagina

function Inizia() {
  // grafica e suoni
  v.defaultCSS       = 'main';
  // azioni
  v.primaVolta     = 1;
  v.manoDx         = 1;
  // mani intere
  v.manoSx         = 1;
  v.occhioBuono    = 0;
  // hai l'occhio buono?
  v.cespuglio      = 0;  // 0=inizio; 1=travestito da cespuglio; 2=sparito cespuglio  
  v.kannibal       = 0;  // 0=dorme; 1=rincoglionito; 2=sveglio  
  v.portaFerita    = 0;  // la porta vivente  ferita?  
  v.serraturaOk    = 0;  // hai lubrificato la serratura?  
  v.statoKannibal  = 0;  // 0=dorme; 1=rincoglionito; 2=sveglio.  
  v.famePiranha    = 0;  // 0=massimo fame; 3=collassa  
  v.kannibalFame   = 1;
  v.kannibalSete   = 1;
  // eventi  
  eventi.frasi = new Array();  
  eventi.probabilita = 0;  
  // labirinto  
  /*  
  v.labirinto = new Object;  
  v.labirinto.titolo        = "";  
  v.labirinto.testo         = "";  
  v.labirinto.destinazione  = "";  
  v.labirinto.percorso      = "";  
  v.labirinto.soluzione     = "";  
  v.labirinto.direzione     = "";  
  v.labirinto.eventi        = 0;  
  */  
  // oggetti  
  v.piranha      = 0; 
  v.chiave       = 0;  
  v.occhio       = 0;  
  v.accetta      = 0;  
  v.braccio      = 0;  
  v.coppaVuota   = 0;  
  v.coppaPiena   = 0;  
  v.spillone     = 0;  
  v.pergamena    = 0;  
  definisciOggetti(new Array(
		"chiave",     "Chiave",
		"occhio",     "Occhio miope",		
		"accetta",    "Accetta",		
		"braccio",    "Braccio",
		"coppaVuota", "Coppa",
		"coppaPiena", "Coppa di sangue",
		"spillone",   "Spillone",
		"pergamena",  "Pergamena"
  ));  
  opzioniOggetti("style=\"background-color:#dddddd;\"",	
		"<p class=\"titolo\">-&nbsp;&nbsp;&nbsp;&nbsp;Inventario&nbsp;&nbsp;&nbsp;&nbsp;-</p>",	
		"&nbsp;&nbsp;&nbsp;",	"");
  // inizio  
  vai(Introduzione);
}

// All'inizio di ogni pagina

function Intestazione(pag) {
	testo("<h1>La tomba di Kannibal</h1>")
}

function PiePagina(pag) {
	mostraOggetti("")
}

// === Pagine del racconto ==================================================

function Modello() {  
	titolo("Pagina")  
	testoNl("Qui comincia (e finisce) l'avventura.")  
	rinvio(Introduzione)
}

// Visualizza un messaggio e il link per tornare alla pagina precedente
// Non pu chiamare Messaggio()

function Inutile() {  
	var testo = "";  
	var num = dado(3);  
	if      (num==1) testo = "E' tutto inutile.";  
	else if (num==2) testo = "Qualunque cosa tu stia cercando di fare... non ci riesci.";  
	else if (num==3) testo = "Fare una cosa simile non ti servirebbe a nulla.";  
	messaggioPrima();  
	testoNl(testo);  
	scelta("Continua", "ridisegna()");  
	messaggioDopo();
}

function Introduzione() {  
	titolo("Kannibal si sveglia a mezzanotte");  
	suono("metal_bang.mp3");  
	testoNl(		
		"Ti chiami Comesoffro e sei un giovane zombo disadattato.",
		"Come suggerisce il tuo nome, sei la vittima preferita di molti abitanti del cimitero dove vivi (anzi, muori).",
		"Forse per questo la tua amica (???) Crudelt ti ha gettato nel Buco Della Paura.",
		"",
		"Si tratta del simpatico budello che conduce nella tomba sotterranea del vecchio Kannibal. Costui  un simpatico zombo che dorme quasi sempre; ma a mezzanotte si sveglia e reclama del cibo. " +
		"Normalmente gli zombi del cimitero gli gettano qualche topo o qualche pipistrello per placare la sua fame: si teme infatti che, se lo si lasciasse a stomaco vuoto, lui riuscirebbe a uscire dalla sua tomba e mangerebbe gli altri morti. " +
		"Questa notte per non c'erano topi, e cos la dolce Crudelt ha pensato a te...",
		"",
		"Ora hai un problema:  quasi mezzanotte."
	);
	scelta("Comincia a giocare", Anticamera);
	scelta("Eh?.. Non capisco un accidente, dove sono!?", Spiegazione);
}

function Spiegazione() {
	testoNl("Questo gioco  basato sulla saga <a href=\"http://blogofthedead.blogs.it/\" target=\"_blank\"><strong>Life of the dead</strong></a>, dello stesso autore del gioco.",
			"Per ulteriori informazioni visita il blog.",
			"",
			"E' un gioco di tipo \"Avventura Testuale\". Non sai di cosa si tratti? Se conosci i cari vecchi librogame sei gi a buon punto, altrimenti... gioca e vedrai. " +
			"Se poi vuoi conoscere altri giochi dello stesso genere, visitua questi due siti: <a href=\"http://www.ifitalia.info/\" target=\"_blank\">IF-Italia</a> e <a href=\"http://www.avventuretestuali.com/\" target=\"_blank\">L'avventura  l'avventura</a>.",
			"",
			"Sull'ambientazione, basti dire che sei uno zombo (declino la parola per genere e numero, altrimenti " +
			"si rischia di fare confusione!) e sei la vittima preferite di alcune zombe malvagie chiamate Agonia, Crudelt e Torturina. " +
			"I loro nomi sono rassicuranti, vero? Beh, comunque sia il tuo scopo  non farti ammazzare. " +
			"Potresti pensare che sia facile, dal momento che l'unico modo per farti fuori  spaccarti la testa, ma...",
			"beh, gioca e vedrai."
		);
	testoNlCSS("evidFrase", "In bocca al lupo!");
	continua(Introduzione);
}

function Anticamera() {
	titolo("L'anticamera");  
	if (v.primaVolta) {	
		suono("metal_roll.mp3");	
		v.primaVolta = 0;  
	}  
	testoNl("Sei nell'anticamera della tomba sotterranea del vecchio Kannibal.",
		"A sud vedi la Porta Vivente, che potrebbe farti uscire di qui (se lo volesse).",
		"A nord c' la Stanza di Kannibal."
		);
	if (!v.occhioBuono) {	
		testo("<p>Vedi un ");	
		rinvioOgg("occhio", Occhio, "+", "Inutile()");
		testo(".</p>");  
	} else {
		if (!(v.coppaVuota || v.coppaPiena)) {		
			testo("<p>Vedi una ");
			rinvioOgg("coppa", "v.coppaVuota=1; aggiorna()", "+", "Inutile()");
			testo(". Toh! Senza l'occhio buono non l'avevi notato!</p>");
		}
		if (!(v.spillone || v.portaFerita)) {
			testo("<p>Vedi uno ");
			rinvioOgg("spillone", "v.spillone=1; aggiorna()", "+", "Inutile()");
			testo(". Toh! Senza l'occhio buono non l'avevi notato!</p>");
		}	
		if (v.cespuglio==0) {
			testo("Vedi un ");
			rinvioOgg("cespuglio", CespuglioMain, "+", "Inutile()");
			testo(". Toh! Senza l'occhio buono non l'avevi notato!</p>");
		}
	}  
	sceltaOgg("Porta Vivente", PortaVivente,
		"spillone", FerisciPorta,
		"coppaVuota", "if (v.portaFerita) vai(RiempiCoppa); else Inutile()",
		"coppaPiena", PortaBeve,
		"chiave", PortaChiave,
		"+", "Inutile()"
		);
	scelta("Vai alla stanza di Kannibal", StanzaKannibal);
}

function PortaVivente() {  
	titolo("L'anticamera");  
	testoNl("La Porta Vivente ti osserva (si, ha gli occhi!) e ti dice:");  
	if (v.portaFerita) {	
		testoNlCSS("evidFrase", "Maledetto! Hai cercato di uccidermi!");  
	} else {	
		testoNlCSS("evidFrase", "Non sperare che io ti lasci uscire di qui! Se Kannibal al suo risveglio non trova del cibo, potrebbe mangiare me!");	
		testoNl("Amico, questo gioco  semplice ma... non <strong>cos</strong> semplice.");  
	}  
	continua(Anticamera);
}

function PortaChiave() {  
	titolo("L'anticamera");  
	testoNl("La porta vivente mangia la tua chiave e ti ringrazia. Hai la sensazione che questo sia un grosso problema...");  
	v.chiave = 0;  
	continua(Anticamera);
}

function FerisciPorta() {
	titolo("L'anticamera");
	suono("grido_porta.mp3");  
	testoNl("Ti avventi contro la porta con il tuo spillone e la colpisci.",
		"Lei urla... sta sanguinando! Il suo sangue  strano, sembra l'olio che si usa per i cardini.",
		"Ad ogni modo, non si apre. Bel tentativo, comunque.",
		"Il tuo spillone si  spezzato nella porta."
	);  
	v.portaFerita = 1;  
	v.spillone = 0 ;  
	continua(Anticamera);
}

function RiempiCoppa() {  
	titolo("L'anticamera");  
	testoNl("Raccogli nella tua bella coppa il sangue che sgorga dalla ferita della Porta Vivente.",	
		"Sei proprio un tipo poco raccomandabile!"
	);
	v.coppaVuota = 0;  
	v.coppaPiena = 1;  
	continua(Anticamera);
}

function PortaBeve() {  
	titolo("L'anticamera");  
	testoNl("Ridendo sadicamente, obblighi la Porta Vivente a bere il suo stesso sangue!",	
		"Sei proprio un tipo poco raccomandabile!"	
	);  
	v.coppaVuota = 1;  
	v.coppaPiena = 0;  
	continua(Anticamera);
}

function Occhio() {  
	titolo("L'anticamera");  
	testoNl("Ti serviva proprio un occhio! L'altro ieri Torturina si  mangiata il tuo destro. Frugando fra i cadaveri inanimati ne hai trovato uno e te lo sei messo nell'orbita, ma hai scoperto che  molto miope. Forse ora vedrai cose che prima non vedevi!",		
		"Conservi comunque anche l'occhio miope. Non si sa mai."	
	);  
	v.occhio      = 1;  
	v.occhioBuono = 1;  
	continua(Anticamera);
}

function CespuglioMain() {  
	titolo("L'anticamera");  
	testoNl("Strano trovare un cespuglio in una tomba! Hai dei fiori neri molto belli.");  
	scelta("Mangia il cespuglio", CespuglioMangia);  
	scelta("Tuffati nel cespuglio", CespuglioTuffati);  
	scelta("Travestiti da cespuglio", CespuglioTravestiti);  
	scelta("Allontanati", Anticamera);
}

function CespuglioMangia() {  
	titolo("L'anticamera");  
	testoNl("Afferri un ramo e cominci a mangiarlo di gusto. Buonissimo! E i fiori, poi... mai assaggiato niente di pi buono!",	
		"In pochi minuti lo mangi tutto e fai un ruttino.",	
		"Chiss se quegli strani fiori hanno qualche effetto magico su chi li mangia..."
	); 
	v.cespuglio = 2;  
	continua(Anticamera);
}

function CespuglioTuffati() {  
	titolo("L'anticamera");  
	testoNl("Con un gridolino di gioia ti tuffi nel cespuglio e cominci a saltare allegramente fra i rametti!");  
	testoNl("La Porta Vivente ti osseva sconcertata.");  
	continua(Anticamera);
}

function CespuglioTravestiti() {  
	titolo("L'anticamera");  
	testoNl("Convinto di sembrare davvero un cespuglio e di non essere affatto ridicolo, strappi tutti i fiori e i rametti del cespuglio per metterteli in testa.");  
	testoNl("La Porta Vivente ti osseva sconcertata.");  
	v.cespuglio = 1;  
	continua(Anticamera);
}

function StanzaKannibal() {  
	titolo("La stanza di Kannibal");  
	testoNl("Sei in una stanza spoglia con tre uscite. In fondo vedi un giaciglio di paglia. Questo  il cuore della tomba di Kannibal.");  
	if (v.statoKannibal==0) {	
		// Kannibal dorme	
		testoNl("Kannibal  sul suo giaciglio e sta dormendo beato... ma sai che presto si sveglier!");	
		scelta("Vai all'anticamera", Anticamera);    
		scelta("Vai a destra", StanzaAcquario);	
		scelta("Vai a sinistra", Bagno);  
	} else if (v.statoKannibal==1) {	
		// Kannibal si sta svegliando	
		testoNl("Kannibal si sta svegliando! Sbadiglia, si stropiccia gli occhi e... si volta nella tua direzione!");	
		if (v.cespuglio==1) {		
			testoNl("Per fortuna  cos rincoglionito dal sonno che il tuo ridicolo travestimento funziona: ti scambia per un cespuglio e riprende a stiracchiarsi.");		
			scelta("Vai all'anticamera", Anticamera);		
			scelta("Vai a destra", StanzaAcquario);		
			scelta("Vai a sinistra", Bagno);	
		} else {		
			suono("kannibal_kill.wav");		
			testoNl("Appena ti vede, il suo stomaco inizia a brontolare rumorosamente. Lo zombo ridacchia e si avvicina lentamente e a te...",			
				"Con una mano ti afferra la testa, te la stacca dal collo e comincia a mangiarti.",			
				"L'ultima cosa che lo senti dire : \"Mmmmh... delizioso!\"."			
			);		
			testoNlCSS("evidFrase", "Sei morto!");
		} 
	} else {
		// Kannibal  sveglio	
		testoNl("Kannibal ormai  sveglio!");	
		continua(Kannibal);  
	}  
	v.statoKannibal++;
}

function StanzaAcquario() {  
	titolo("L'acquario");  
	testo("Sei in una stanza dalle pareti affrescate con immagini marine.<br>");  
	if (v.famePiranha < 3) {	
		testo("<p>Al centro della stanza si trova una vaschetta rotonda piena di sangue, nella quale vedi un ");	
		rinvioOgg("piranha", PiranhaMani,		
			"occhio", PiranhaOcchio,		
			"spillone", "Messaggio(\"Cerchi di trafiggere il piranha con il tuo spillone, e lui rischia di morire... dal ridere: gli stai facendo il solletico!\")",		
			"+", "Inutile()"	
		);	
		testo(".<br>");  
	} else if (v.famePiranha == 3) {	
		testo("<p>Al centro della stanza si trova una vaschetta rotonda piena di sangue, nella quale vedi il ");
		rinvioOgg("piranha", PiranhaCollassato,		
			"+", "Inutile()"	
		);	
		testo(" collassato.<br>");  
	} else {	
		testo("<p>Al centro della stanza si trova una vaschetta rotonda piena di sangue.<br>");  
	}    
	testo("In un angolo vedi un ");  
	if (!v.pergamena) {	  
		rinvioOgg("baule", "Messaggio(\"Il baule  chiuso a chiave.\")",		
			"chiave", BauleChiave,		
			"+", "Inutile()"
		);  
	} else {	  
		rinvioOgg("baule", "Messaggio(\"Il baule  vuoto.\")",		
			"chiave", "Messaggio(\"Il baule  gi aperto.\")",		
			"pergamena", "Messaggio(\"Sei una persona molto ordinata, complimenti! Ma non mettere via la pergamena: ti servir.\")",		
			"+", "Inutile()"
		);  
	}  
	testo(".</p>");  
	scelta("Vai alla stanza di Kannibal", StanzaKannibal);
}

function PiranhaMani() {	
	titolo("L'acquario");	
	testoNl("Vorresti prendere in mano quel tenero piranha, ma... quale mano userai?");	
	scelta("La destra", ManoDx);	
	scelta("La sinistra", ManoSx);	
	scelta("Lascia perdere", StanzaAcquario);
}

function PiranhaOcchio() {	
	suono("mangia.mp3");	
	titolo("L'acquario");	
	testoNl("Getti l'occhio miope tra le fauci del piranha, che lo divora con gusto e fa un ruttino.");	
	v.famePiranha++;	
	v.occhio = 0;	
	if (v.famePiranha == 3) {		
		testoNlCSS("evidFrase", "Dopo il fiero pasto, l'ingordo animale caccia un potente rutto e collassa. Galleggia in acqua come se fosse morto. Che debosciato!");	
	}	
	continua(StanzaAcquario);
}

function ManoDx() {	
	suono("urlo.wav");	
	titolo("L'acquario");	
	if (v.manoDx) {		
		testoNl("Tenti di prendere il piranha con la tua mano destra. Lui per non  d'accordo e la spolpa, divorando la tua carne. " +			
			"Per fortuna ti ha lasciato le ossa intatte e, essendo uno zombo, riesci a muovere ancora la mano senza problemi. Ti chiedi per come abbia potuto quell'essere infernale mangiare una cosa pi grossa di lui."
		);		
		v.manoDx = 0;		
		v.famePiranha++;		
		if (v.famePiranha >= 3) {			
			testoNlCSS("evidFrase", "Dopo il fiero pasto, l'ingordo animale caccia un potente rutto e collassa. Galleggia in acqua come se fosse morto. Che debosciato!");		
		}	
	} else {		
		testoNl("Il piranha ti ha gi spolpato la mano destra. Decidi di non rischiare che questa volta divori le ossa. Sarebbe un disastro.");	
	}	
	continua(StanzaAcquario);
}

function ManoSx() {	
	suono("urlo.wav");	
	titolo("L'acquario");	
	if (v.manoSx) {		
		testoNl("Tenti di prendere il piranha con la tua mano sinistra. Lui per non  d'accordo e la spolpa, divorando la tua carne. " +			
			"Per fortuna ti ha lasciato le ossa intatte e, essendo uno zombo, riesci a muovere ancora la mano senza problemi. Ti chiedi per come abbia potuto quell'essere infernale mangiare una cosa pi grossa di lui."
		);		
		v.manoSx = 0;		
		v.famePiranha++;		
		if (v.famePiranha >= 3) {			
			testoNlCSS("evidFrase", "Dopo il fiero pasto, l'ingordo animale caccia un potente rutto e collassa. Galleggia in acqua come se fosse morto. Che debosciato!");		
		}	
	} else {		
		testoNl("Il piranha ti ha gi spolpato la mano sinistra. Decidi di non rischiare che questa volta divori le ossa. Sarebbe un disastro.");	
	}	
	continua(StanzaAcquario);
}

function PiranhaCollassato() {	
	titolo("L'acquario");	
	testoNl("Finalmente puoi afferrare il piranha senza farti male! Hai proprio fame! Lo azzanni voracemente e... ti spacchi qualche dente. E' durissimo! Come mai? Incuriosito lo vivisezioni, e scopri che... aveva mangiato una strana chiave che ha i denti piegati verso destra. Mangi il pesce sezionato e intaschi la chiave: non si sa mai.");	
	v.famePiranha++;	
	v.chiave = 1;	
	continua(StanzaAcquario);
}

function BauleChiave() {	
	suono("chiave.wav");	
	titolo("L'acquario");	
	testoNl("La chiave che il piranha aveva mangiato  proprio quella del baule! Lo apri e scopri che contiene soltanto una pergamena, sulla quale  scritta una strana parola: <span class=\"evidParola\">AIBMACS</span>. Dev'essere una formula magica. Decidi di prenderla, potrebbe servire.");	
	v.pergamena = 1;	
	continua(StanzaAcquario);
}

function Bagno() {  
	titolo("Il bagno");  
	testo("<p>Ti trovi nel bagno della tomba.<br>");  
	testo("Alla tua destra c' un lavandino con uno ");  
	rinvioOgg("specchio", "Messaggio(\"Ti osservi attentamente e ti trovi molto bello. Peccato che Crudelt e Agonia non la pensino allo stesso modo...\")",		
		"pergamena", SpecchioPergamena,		
		"accetta", "Messaggio(\"Sei gi abbastanza sfigato di tuo, senza che ti metti a rompere specchi senza motivo.\")",		
		"+", "Inutile()"	
	);  
	testo(".<br>");  
	testo("Vedi anche uno splendido ");  
	rinvioOgg("gabinetto", "Messaggio(\"In questo momento non ti scappa.\")",		
		"accetta", "Messaggio(\"Perch rompere una cosa cos utile?\")",		
		"spillone", CessoSpillone,		
		"chiave", CessoChiave,		
		"occhio", CessoOcchio,		
		"+", "Inutile()"	
	);  
	testo(".<br>");  
	if (!v.braccio) {
		testo("Vicino al gabinetto c' un ");  
		rinvioOgg("braccio", "Messaggio(\"Stringi amichevolmente la mano... alla mano.\")",		
			"accetta", BraccioAccetta,		
			"spillone", BraccioSpillone,		
			"+", "Inutile()"	
		);  
		testo(" che spunta dal muro e regge un rotolo di carta igienica. Evidentemente qualcuno  stato murato vivo ed  costretto a servire Kannibal.<br>");  
	}
	testo("C' anche un mobiletto con un ");  
	rinvioOgg("cassetto", "if (!v.accetta) Messaggio(\"E' chiuso a chiave.\"); else Messaggio(\"Come previsto, ora il cassetto  vuoto.\");",
		"chiave", CassettoChiave,		
		"coppaPiena", CassettoCoppaPiena,		
		"+", "Inutile()"	
	);  
	testo(".<br>");  
	scelta("Vai alla stanza di Kannibal", StanzaKannibal);
}

function CessoSpillone() {	
	suono("cesso.wav");	
	titolo("Il bagno");	
	testoNl("Butti via lo spillone.");	
	v.spillone = 0;	
	continua(Bagno);
}

function CessoOcchio() {	
	suono("cesso.wav");	
	titolo("Il bagno");	
	testoNl("Butti via l'occhio miope.");	
	v.occhio = 0;	
	continua(Bagno);
}

function CessoChiave() {	
	suono("cesso.wav");	
	titolo("Il bagno");	
	testoNl("Butti via la chiave.");	
	v.chiave = 0;	
	continua(Bagno);
}

function SpecchioPergamena() {	
	suono("magia.wav");	
	titolo("Il bagno");	
	if (v.chiave==1) {		
		testoNl("Metti la pergamena davanti allo specchio. Improvvisamente ti rendi conto che la parola magica scritta su di essa, <span class=\"evidParola\">AIBMACS</span>, non  altro che <span class=\"evidParola\">SCAMBIA</span> scritto al contrario. La chiave esce dalla tua tasca e finisce nello specchio, mentre una chiave quasi identica esce dallo specchio e si infila nella tua tasca! La pergamena scompare. Osservando la chiave riflessa, noti che ha i dentini incurvati verso sinistra.");		
		v.pergamena  = 0;		
		v.chiave     = 2;	
	} else {		
		testoNl("Non succede niente.");	
	}	
	continua(Bagno);
}

function BraccioSpillone() {	
	suono("urlo.wav");	
	titolo("Il bagno");	
	testoNl("Infilzi il braccio con lo spillone! Senti un gemito proveniente dal muro, poi la mano lascia andare la pergamena, ti strappa di mano lo spillone, lo butta nel gabinetto e tira l'acqua.",			
		"E se quello spillone fosse indispensabile per finire il gioco?? Ecco cosa succede a fare stupidaggini!!"		
	);	
	v.spillone = 0;	
	continua(Bagno);
}

function BraccioAccetta() {	
	suono("grido_porta.mp3");	
	titolo("Il bagno");	
	testoNl("Con l'accetta tagli di netto il braccio e te lo prendi. Per fortuna tutto il sangue cola nel gabinetto, cos non sporca la stanza. Essendo zombo educato tiri l'acqua.");	
	v.braccio = 1;	
	continua(Bagno);
}

function CassettoCoppaPiena() {	
	titolo("Il bagno");	
	testoNl("Usi un po' del sangue della Porta Vivente per lubrificare la serratura. Funzioner?");	
	v.serraturaOk = 1;	
	continua(Bagno);
}

function CassettoChiave() {	
	titolo("Il bagno");	
	if (v.chiave==1) {		
		testoNl("Non entra! La tua chiave ha i dentini girati verso destra. Per questa serratura ce ne vorrebbe una coi dentini piegati verso sinistra.");	
	} else if (v.chiave==2) {		
		if (!v.serraturaOk) {			
			testoNl("La chiave entra ma... non gira! Questa serratura  vecchissima e andrebbe lubrificata!");
		} else if (!v.accetta) {			
			suono("chiave.wav");			
			testoNl("La chiave entra nella serratura, e riesci a girarla senza problemi!",					
				"Dentro ci trovi un'accetta."				
			);			
			v.accetta = 1;		
		} else {			
			suono("spezza_chiave.wav");			
			testoNl("Vorresti richiudere il cassetto, ma la chiave si spezza nella serratura.");
			v.chiave = 0;		
		}	
	}	
	continua(Bagno);
}

function Kannibal() {
	suono("risata.mp3");
	titolo("Kannibal!!")
	testo("<p><span class=\"evidParola\">Kannibal</span> allunga un ");
	rinvioOgg("braccio", KannibalUccide,
		"coppaPiena", KannibalCoppa,
		"braccio", KannibalBraccio,
		"+", KannibalUccide
	);
	testo(" verso di te, mentre dalla sua gola putrefatta esce un rantolo profondo, agghiacciante:</p>");
	testoNlCSS("evidFrase", "Kannibal... mangia!");
	scelta("Attacca Kannibal con l'accetta", KannibalUccide);
	scelta("Scappa!!!", KannibalUccide);
}

function KannibalCoppa() {
	suono("drink.wav");
	titolo("Kannibal!!");
	testoNl("Kannibal afferra la coppa piena di sangue e la beve d'un fiato.");
	v.coppaPiena = 0;
	v.kannibalSete = 0;
	if (v.kannibalFame) {
		testoNl("<em>Ma ha fame...</em>");
		continua(Kannibal);
	} else {
		continua(Fine1);
	}
}

function KannibalBraccio() {
	suono("mangia.mp3");
	titolo("Kannibal!!");
	testoNl("Kannibal afferra il braccio e lo divora in pochi secondi.");
	v.braccio = 0;
	v.kannibalFame = 0;
	if (v.kannibalSete) {
		testoNl("<em>Ma vuole qualcos'altro...</em>");
		continua(Kannibal);
	} else {
		continua(Fine1);
	}
}

function KannibalUccide() {
	suono("kannibal_kill.mp3");
	titolo("Kannibal!!")
	testoNl("Nessuno  mai sfuggito a <span class=\"evidParola\">Kannibal</span>, e tu non sarai il primo. Tutto quello che cerchi di fare  inutile. ",
		"<span class=\"evidParola\">Kannibal</span> ti afferra la testa e in un attimo comincia a divorarla."
	);
	testoNl("Probabilmente Crudelt non sentir nemmeno la tua mancanza.");
}

function Fine1() {
	suono("burp.wav");
	titolo("Kannibal!!");
	testoNl("Kannibal caccia un rutto, f un cenno di ringraziamento con la mano e si rimette a dormire.");
	continua(Fine2);
}

function Fine2() {
	titolo("Vittoria!");
	testoNlCSS("evidFrase", "Ce l'hai fatta!!!");
	testoNl("Sei riuscito a sopravvivere! Kannibal  tornato a dormire e non ti ha mangiato!");
	testoNl("Ti dirigi verso la Porta Vivente, che  ancora arrabbiata per la brutta ferita che le hai procurato e non vuole lasciarti passare. Quando le mostri l'accetta per cambia idea.",
		"Esci dalla tomba canticchiando e finalmente ti ritrovi all'aria aperta.",
		"Questo cimitero non ti  mai sembrato cos bello! Ringrazi la morte e il dio delle tenebre per averti donato una nuova nottata!",
		"Stanchissimo, ti avvii verso la cripta della tua famiglia, quando incontri Torturina... ahi ahi, amico: quello che hai passato finora non  niente in confronto a quello che ti far <span class=\"evidParola\">LEI</span>!!",
		"Ma, almeno, alle angherie di Torturina sei abituato."
	);
	testoNlCSS("evidFrase", "Fine");
}
